/////////////////////////////////////////////////////////////////////////////
// Name:        myframe.h (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/18/01 14:38:35
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
/////////////////////////////////////////////////////////////////////////////

#ifndef __MYFRAME_G__
#define __MYFRAME_G__

#include "wx/wx.h"
#include "wx/wspp/all.h" 

#include "mypanel.h"

// %%INFO-{
// { TEMPL = "wxFrame for C++" WND_RES = "MyFrameRes" MENU_RES = "" IMP_FILE = "myframe.cpp" CLASS = "MyFrame" RES_FILE = "demo.xrc" }
// %%INFO-}

class MyFrame : public wxFrame
{
public:
	MyFrame();
	~MyFrame();

	// %%EVT_DECLS-{
	void OnButtonHello( wxCommandEvent& event );
	void OnButtonGoodbye( wxCommandEvent& event );
	void OnTextEnterYourname( wxCommandEvent& event );
	void OnInitDialog( wxInitDialogEvent& event );
	void OnButtonQuit( wxCommandEvent& event );
	// %%EVT_DECLS-}	

	// %%GETTER_DECLS-{
	const wxString& GetMyname() const; // { "myname" GetMyname }
	const wxString& GetYourname() const; // { "yourname" GetYourname }
	// %%GETTER_DECLS-}

	// %%SETTER_DECLS-{
	void SetMyname( const wxString& value ); // { "myname" SetMyname }
	void SetYourname( const wxString& value ); // { "yourname" SetYourname }
	// %%SETTER_DECLS-}
	
	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS( MyFrame )	

protected:
	void ExchangeValues( bool toControls );
	void DoInit();	

protected:
	// %%MEMBER_DECLS-{
	wxString m_Myname; // { "myname" wxString m_Myname "" }
	wxString m_Yourname; // { "yourname" wxString m_Yourname "Mark" }
	// %%MEMBER_DECLS-}

	// %%CTL_MEMBER_DECLS-{
	wxButton* m_pHello; // { hello m_pHello }
	wxButton* m_pGoodbye; // { goodbye m_pGoodbye }
	wxTextCtrl* m_pMyname; // { myname m_pMyname }
	wxTextCtrl* m_pYourname; // { yourname m_pYourname }
	wxNotebook* m_pNotebook1; // { notebook1 m_pNotebook1 }
	wxPanel* m_pPanel2; // { panel2 m_pPanel2 }
	wxButton* m_pButton1; // { button1 m_pButton1 }
	// %%CTL_MEMBER_DECLS-}
};

#endif // __MYFRAME_G__
